name: news
# news
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev
 
version: 1.0.0+1

environment:
  sdk: '>=2.18.4 <3.0.0'
 
dependencies:
  flutter:
    sdk: flutter
 
  flutter_svg: ^2.0.7  
  connectivity_plus: ^6.0.3 
  country_code_picker: ^3.0.0 
  sms_autofill: ^2.0.1
  location: ^7.0.1
  intl: ^0.20.1 
  firebase_core: ^3.6.0
  firebase_messaging: ^15.1.3
  firebase_auth: ^5.3.1
  google_sign_in: ^6.0.1
  photo_view: ^0.15.0
  url_launcher: ^6.0.10
  shimmer: ^3.0.0
  firebase_dynamic_links: ^6.0.8
  share_plus: ^10.1.1
  flutter_tts: ^4.0.2
  image_picker: ^1.0.1  
  file_picker: ^8.0.3 
  video_player: ^2.9.1 
  flick_video_player: ^0.9.0
  youtube_player_flutter: ^9.0.1
  youtube_parser: ^2.1.4 
  in_app_review: ^2.0.3 
  flutter_local_notifications: ^18.0.1
  path_provider: ^2.0.5
  flutter_login_facebook: ^2.0.0
  sign_in_with_apple: ^6.1.0
  crypto: ^3.0.1
  facebook_audience_network: ^1.0.1
  percent_indicator: ^4.0.0
  google_mobile_ads: ^5.0.0
  device_info_plus: ^11.1.0
  flutter_widget_from_html: ^0.15.0
  unity_ads_plugin: ^0.3.15 
  flutter_inappwebview: ^6.1.5
  html_editor_enhanced: ^2.6.0
  flutter_bloc: ^8.1.3
  dio: ^5.0.1
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  equatable: ^2.0.5
  lottie: ^3.1.0 
  dotted_border: ^2.0.0+3
  marqueer: ^2.0.1 

  xml: ^6.5.0
  http: ^1.2.2
  xml2json: ^6.2.5

dependency_overrides:
  modal_bottom_sheet: ^3.0.0-pre
  win32: ^5.0.0
  webview_flutter_android: 3.16.1
 
dev_dependencies:
  flutter_test:
    sdk: flutter


flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/images/svgImage/
    - assets/languages/
    - assets/animations/
    
  fonts:
    - family: Roboto
      fonts:
        - asset: assets/font/Roboto-Regular.ttf
          weight: 400
        - asset: assets/font/Roboto-Light.ttf
          weight: 300
        - asset: assets/font/Roboto-Medium.ttf
          weight: 500
        - asset: assets/font/Roboto-Bold.ttf
          weight: 700